summaryrefslogtreecommitdiffstats
path: root/zsh/oh-my-zsh/plugins/fig
diff options
context:
space:
mode:
authorLibravatarLibravatar Biswakalyan Bhuyan <biswa@surgot.in> 2022-10-03 21:42:20 +0530
committerLibravatarLibravatar Biswakalyan Bhuyan <biswa@surgot.in> 2022-10-03 21:42:20 +0530
commitaf120ab348f2e1a5a39dec035ed9dcf84189a64e (patch)
tree2a3aadd7ce1b7b771dfe3fe7c983569726c8d7ed /zsh/oh-my-zsh/plugins/fig
downloaddotfiles-af120ab348f2e1a5a39dec035ed9dcf84189a64e.tar.gz
dotfiles-af120ab348f2e1a5a39dec035ed9dcf84189a64e.tar.bz2
dotfiles-af120ab348f2e1a5a39dec035ed9dcf84189a64e.zip
dotfiles
Diffstat (limited to 'zsh/oh-my-zsh/plugins/fig')
-rw-r--r--zsh/oh-my-zsh/plugins/fig/README.md9
-rw-r--r--zsh/oh-my-zsh/plugins/fig/fig.plugin.zsh13
2 files changed, 22 insertions, 0 deletions
diff --git a/zsh/oh-my-zsh/plugins/fig/README.md b/zsh/oh-my-zsh/plugins/fig/README.md
new file mode 100644
index 0000000..3861958
--- /dev/null
+++ b/zsh/oh-my-zsh/plugins/fig/README.md
@@ -0,0 +1,9 @@
+# Fig plugin
+
+This plugin sets up completion for [Fig](https://fig.io/).
+
+To use it, add `fig` to the plugins array in your zshrc file:
+
+```zsh
+plugins=(... fig)
+```
diff --git a/zsh/oh-my-zsh/plugins/fig/fig.plugin.zsh b/zsh/oh-my-zsh/plugins/fig/fig.plugin.zsh
new file mode 100644
index 0000000..cddb6c7
--- /dev/null
+++ b/zsh/oh-my-zsh/plugins/fig/fig.plugin.zsh
@@ -0,0 +1,13 @@
+if ! (( $+commands[fig] )); then
+ return
+fi
+
+# If the completion file doesn't exist yet, we need to autoload it and
+# bind it to `fig`. Otherwise, compinit will have already done that
+if [[ ! -f "$ZSH_CACHE_DIR/completions/_fig" ]]; then
+ autoload -Uz _fig
+ typeset -g -A _comps
+ _comps[fig]=_fig
+fi
+
+fig completion zsh >| "$ZSH_CACHE_DIR/completions/_fig" &|